FLANG

Classes | Public Member Functions | List of all members
Fortran::semantics::SemanticsContext Class Reference

## Public Member Functions
| SemanticsContext (const common::IntrinsicTypeDefaultKinds &, const common::LanguageFeatureControl &, parser::AllSources &)
const common::IntrinsicTypeDefaultKinds & | defaultKinds () const
const common::LanguageFeatureControl & | languageFeatures () const
int | GetDefaultKind (TypeCategory) const
int | doublePrecisionKind () const
int | quadPrecisionKind () const
bool | IsEnabled (common::LanguageFeature) const
bool | ShouldWarn (common::LanguageFeature) const
const std::optional< parser::CharBlock > & | location () const
const std::vector< std::string > & | searchDirectories () const
const std::string & | moduleDirectory () const
const std::string & | moduleFileSuffix () const
bool | warnOnNonstandardUsage () const
bool | warningsAreErrors () const
bool | debugModuleWriter () const
const evaluate::IntrinsicProcTable & | intrinsics () const
Scope & | globalScope ()
parser::Messages & | messages ()
evaluate::FoldingContext & | foldingContext ()
parser::AllSources & | allSources ()
SemanticsContext & | set_location (const std::optional< parser::CharBlock > &location)
SemanticsContext & | set_searchDirectories (const std::vector< std::string > &x)
SemanticsContext & | set_moduleDirectory (const std::string &x)
SemanticsContext & | set_moduleFileSuffix (const std::string &x)
SemanticsContext & | set_warnOnNonstandardUsage (bool x)
SemanticsContext & | set_warningsAreErrors (bool x)
SemanticsContext & | set_debugModuleWriter (bool x)
const DeclTypeSpec & | MakeNumericType (TypeCategory, int kind=0)
const DeclTypeSpec & | MakeLogicalType (int kind=0)
bool | AnyFatalError () const
bool | HasError (const Symbol &)
bool | HasError (const Symbol *)
bool | HasError (const parser::Name &)
void | SetError (Symbol &, bool=true)
template<typename... A>
parser::Message & | Say (A &&... args)
template<typename... A>
parser::Message & | Say (parser::CharBlock at, A &&... args)
parser::Message & | Say (parser::Message &&msg)
template<typename... A>
void | SayWithDecl (const Symbol &symbol, const parser::CharBlock &at, parser::MessageFixedText &&msg, A &&... args)
const Scope & | FindScope (parser::CharBlock) const
Scope & | FindScope (parser::CharBlock)
const ConstructStack & | constructStack () const
template<typename N >
void | PushConstruct (const N &node)
void | PopConstruct ()
void | WarnIndexVarRedefine (const parser::CharBlock &, const Symbol &)
void | CheckIndexVarRedefine (const parser::CharBlock &, const Symbol &)
void | CheckIndexVarRedefine (const parser::Variable &)
void | CheckIndexVarRedefine (const parser::Name &)
void | ActivateIndexVar (const parser::Name &, IndexVarKind)
void | DeactivateIndexVar (const parser::Name &)
SymbolVector | GetIndexVars (IndexVarKind)

The documentation for this class was generated from the following files:

- include/flang/Semantics/semantics.h
- lib/Semantics/semantics.cpp